%define upstream_name    Test2-Plugin-NoWarnings
%define upstream_version 0.10

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Fail if tests warn
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test2/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Run3)
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Test2) >= 1.302.167
BuildRequires: perl(Test2::API)
BuildRequires: perl(Test2::Event)
BuildRequires: perl(Test2::Require::Module)
BuildRequires: perl(Test2::Util::HashBase)
BuildRequires: perl(Test2::V0)
BuildRequires: perl(Test::More) >= 1.302.15
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
An event representing an unwanted warning. This is treated as a failure.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.100.0-2.mga10
+ Revision: 2222158
- Mageia 10 Mass Rebuild

* Sat Apr 13 2024 tv <tv> 0.100.0-1.mga10
+ Revision: 2056890
- update to 0.10

* Mon Mar 21 2022 umeabot <umeabot> 0.90.0-2.mga9
+ Revision: 1812851
- Mageia 9 Mass Rebuild

* Wed Jul 01 2020 tv <tv> 0.90.0-1.mga8
+ Revision: 1600856
- update to 0.09

* Sun Feb 16 2020 umeabot <umeabot> 0.80.0-2.mga8
+ Revision: 1535894
- Mageia 8 Mass Rebuild

* Mon Oct 14 2019 tv <tv> 0.80.0-1.mga8
+ Revision: 1453031
- update to 0.08

* Mon Apr 22 2019 tv <tv> 0.70.0-1.mga7
+ Revision: 1394704
- update to 0.07

* Thu Sep 20 2018 umeabot <umeabot> 0.60.0-2.mga7
+ Revision: 1286961
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.60.0-1.mga7
+ Revision: 1128149
- modernize spec
- import from cpan2dist


* Fri Jul 21 2017 cpan2dist 0.06-1mga
- initial mageia release, generated with cpan2dist
